import { TestBed, async } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { CommonMaterialComponent } from './material.component';

describe('CommonMaterialComponent', () => {
  beforeEach(async(() => {
    TestBed.configureTestingModule({
      imports: [RouterTestingModule],
      declarations: [CommonMaterialComponent]
    }).compileComponents();
  }));

  it('should create the app', () => {
    const fixture = TestBed.createComponent(CommonMaterialComponent);
    const app = fixture.debugElement.componentInstance;
    expect(app).toBeTruthy();
  });

  it(`should have as title 'odds-crawler-frontend-app'`, () => {
    const fixture = TestBed.createComponent(CommonMaterialComponent);
    const app = fixture.debugElement.componentInstance;
    expect(app.title).toEqual('odds-crawler-frontend-app');
  });

  it('should render title in a h1 tag', () => {
    const fixture = TestBed.createComponent(CommonMaterialComponent);
    fixture.detectChanges();
    const compiled = fixture.debugElement.nativeElement;
    expect(compiled.querySelector('h1').textContent).toContain(
      'Welcome to odds-crawler-frontend-app!'
    );
  });
});
